Bug 910526

Summary: Review Request: kreversi - Reversi board game
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-22 16:47:12 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 14:10:33 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kreversi.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kreversi-4.10.0-1.fc18.src.rpm
Description: A simple one player strategy game 
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 09:50:30 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kreversi.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kreversi-4.10.0-2.fc18.src.rpm

* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, description
Comment 2 nucleo 2013-02-22 12:28:56 EST
Summary from desktop file: Reversi board game

This should be added in %postun:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
Comment 3 Rex Dieter 2013-02-22 13:03:11 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kreversi.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kreversi-4.10.0-3.fc18.src.rpm

* Fri Feb 22 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update summary
- %%postun: add missing icon scriptlet
Comment 4 nucleo 2013-02-22 13:08:10 EST
MUST Items:
+ rpmlint output
  $ rpmlint kreversi-4.10.0-1.fc18.i686.rpm kreversi-debuginfo-4.10.0-1.fc18.i686.rpm kreversi-4.10.0-3.fc18.src.rpm kreversi.spec 
    kreversi.i686: W: no-manual-page-for-binary kreversi
    kreversi.src: W: spelling-error Summary(en_US) Reversi -> Revers, Reverse, Revers i
    3 packages and 1 specfiles checked; 0 errors, 2 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kreversi-4.10.0.tar.xz
+ spec file name kreversi.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 6385b675c90661dd2fad344caf004e70  kreversi-4.10.0.tar.xz
  SHA1: 0bb2b856a1097289a69cd01d33e4208a54c62e1f  kreversi-4.10.0.tar.xz
  SHA256: 605bb4ed6c3d39f0d9f79c81ed2590cf3645485c6e04c1e850499ba78b4de925  kreversi-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, pics and sounds under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kreversi.desktop file for the GUI app kreversi present
+ desktop-file-validate is used in %check and the kreversi.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kreversi's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, AUTHORS)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor and oxygen icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

Comment 5 Rex Dieter 2013-02-22 14:12:43 EST
New Package SCM Request
Package Name: kreversi
Short Description: Reversi board game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
Comment 6 Jon Ciesla 2013-02-22 14:20:03 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-02-22 16:47:12 EST